Bug 171809 - Python script aborted with Modules/gcmodule.c:240: update_refs: Assertion ... failed
Python script aborted with Modules/gcmodule.c:240: update_refs: Assertion ......
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 14:04 EDT by Milan Kerslager
Modified: 2014-01-21 17:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 17:42:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb output (43.60 KB, application/octet-stream)
2008-04-08 10:50 EDT, Lyle Lasheimok
no flags Details

  None (edit)
Description Milan Kerslager 2005-10-26 14:04:39 EDT
Python scripts are aborted when executed on specific HW configuration (Celeron
500, 256MB RAM, Elite P6BAT-Me). When the disc has been moved to the another
machine (Athlon 750), all went ok. This up-to-date FC4 with python-2.4.1-2.
Affected scripts are yum and printconf-backend (others possible too). The error
message is:

python: Modules/gcmodule.c:240: update_refs: Assertion `gc->gc.gc_refs == (-3)'
failed.
Aborted

After some googling this seems like Python bug. Also I saw similar errors with a
little bit different component than update_refs.
Comment 1 Seth Vidal 2005-11-29 11:22:56 EST
Something similar seen when using the program quod-libet
http://www.sacredchao.net/quodlibet/ticket/364

It looks like the same problem there as above.
Comment 2 Jeremy Katz 2007-01-06 16:14:20 EST
Does this still happen?
Comment 3 petrosyan 2008-03-09 17:42:42 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.
Comment 4 Takanori MATSUURA 2008-04-01 03:22:51 EDT
I think buf 404911, bug 384221 and bug 408341 are the dupulication of this bug.

In bug 384221 comment #5, it's not the python side but other side (means
Fedora?) bug.
I also got this message by using other python-based program.

This bug should be reopend and we need to collect more information.
Comment 5 Lyle Lasheimok 2008-04-03 04:45:22 EDT
Hi all! :)

Gimmie started to crash with that error message in Fedora 8, and still crashes
in Fedora 9 Beta (bug 384221 mentioned above).

In bug 404911 a Python developer says it's unlikely to be a Python problem,
unless that crash can be reproduced with pure Python code.

I'd like to help if more information are needed, but I'm not a Python
programmer, so my debugging abilities are limited.
Comment 6 Takanori MATSUURA 2008-04-07 05:11:29 EDT
Hi James,
Do I need to open the new bug for this?


Hi Lyle,

Can you install debuginfo packages?

# debuginfo-install gimmie
$ ulimit -c unlimited
$ gimmie
$ script
$ gdb /usr/bin/python core.xxxxxx
(gdb) where
(edb) exit
$ exit

If you got a message like
run debuginfo-install foo-debuginfo bar-debuginfo...
when running gdb, run
# debuginfo-install foo-debuginfo bar-debuginfo...
and rerun the commands above from "$ script" to "$ exit".

And attach the file "tpescript" here.
I can't follow the file but assigner must understand it.
Comment 7 Lyle Lasheimok 2008-04-08 10:50:40 EDT
Created attachment 301646 [details]
gdb output

Thank you for the detailed instructions. :)

Attached is a file which shows the output of gdb, using Fedora 9 Beta.

I couldn't install all of the debuginfo packages, as that caused gdb to
segfault.
(I guess I need to repeat the procedure with gdb and file a separate bug
report. :) )

Maybe it's already enough information, though, even with some of the packages
missing.

Thank you for all the help! :)

Note You need to log in before you can comment on or make changes to this bug.